Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.random
Class ErlangMRG

    java.lang.Object
      de.jstacs.utils.random.MultivariateRandomGenerator
          de.jstacs.utils.random.ErlangMRG

    public class ErlangMRG

extends MultivariateRandomGenerator

This class is a multivariate random generator based on a Dirichlet distribution for `alpha_i \in N`. It is a kind of "multivariate Erlang distribution".

Author:
  Jens Keilwagen

Constructor Summary
`ErlangMRG()` Constructor that creates a new multivariate random generator with underlying Erlang distribution.

Method Summary
`void` | `generate(double[] d, int start, int n, MRGParams p)` Generates a `n`-dimensional random array as part of the array `d` beginning at `start`.

Methods inherited from class de.jstacs.utils.random.MultivariateRandomGenerator
`generate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErlangMRG

    public ErlangMRG()

  Constructor that creates a new multivariate random generator with underlying Erlang distribution.

Method Detail

### generate

    public void generate(double[] d,
                         int start,
                         int n,
                         MRGParams p)

  Description copied from class: `MultivariateRandomGenerator`
  Generates a `n`-dimensional random array as part of the array `d` beginning at `start`.

  Specified by:
    `generate` in class `MultivariateRandomGenerator`
  Parameters:
    `d` - the array
    `start` - the start index for generated values
    `n` - the dimension of the random array
    `p` - the parameter of the underlying distribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD